Bug 457497

Summary: Build dependencies not declared - xerces-j2 and xml-commons-resolver
Product: [Community] Publican Reporter: Joshua Wulf <jwulf>
Component: publicanAssignee: Jeff Fearn <jfearn>
Status: CLOSED CURRENTRELEASE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: 1.6CC: lcarlon, mmcallis, publican-list
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: 0.35 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2008-08-05 23:43:04 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Joshua Wulf 2008-07-31 22:19:17 EDT
latest check out of publican doesn't report that it requires xerces-j2 and
xml-commons-resolver, but fails to build without them.
Comment 1 Jeff Fearn 2008-08-01 01:33:04 EDT
pics or it didn't happen!
Comment 2 Joshua Wulf 2008-08-01 02:30:09 EDT
See below for xerces-j2. xml-commons-resolver does the same / similar thing.


[sitapati@localhost publican]$ rpm -q xerces-j2
xerces-j2-2.7.1-10jpp.1.fc9.i386
[sitapati@localhost publican]$ sudo rpm -e --nodeps xerces-j2
[sitapati@localhost publican]$ make local
Start clean
make[1]: Entering directory
`/home/sitapati/Work/svn/publican/trunk/publican/content/docs'
START: clean Fri Aug  1 16:26:53 EST 2008
END: clean Fri Aug  1 16:26:53 EST 2008
make[1]: Leaving directory
`/home/sitapati/Work/svn/publican/trunk/publican/content/docs'
End clean
Start dist
End dist
Start srpm
Wrote:
/home/sitapati/Work/svn/publican/trunk/publican/tmp/rpm/SRPMS/publican-0.34-0.fc9.src.rpm
End srpm
Start rpm
Installing
/home/sitapati/Work/svn/publican/trunk/publican/tmp/rpm/SRPMS/publican-0.34-0.fc9.src.rpm
Executing(%prep): /bin/sh -e /var/tmp/rpm-tmp.82311
+ umask 022
+ cd /home/sitapati/Work/svn/publican/trunk/publican/tmp/rpm/BUILD
+ LANG=C
+ export LANG
+ unset DISPLAY
+ cd /home/sitapati/Work/svn/publican/trunk/publican/tmp/rpm/BUILD
+ rm -rf publican-0.34
+ /usr/bin/gzip -dc
/home/sitapati/Work/svn/publican/trunk/publican/tmp/rpm/SOURCES/publican-0.34.tgz
+ tar -xf -
+ STATUS=0
+ '[' 0 -ne 0 ']'
+ cd publican-0.34
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
++ /usr/bin/id -u
+ '[' 500 = 0 ']'
+ /bin/chmod -Rf a+rX,u+w,g-w,o-w .
+ exit 0
Executing(%build): /bin/sh -e /var/tmp/rpm-tmp.8372
+ umask 022
+ cd /home/sitapati/Work/svn/publican/trunk/publican/tmp/rpm/BUILD
+ cd publican-0.34
+ LANG=C
+ export LANG
+ unset DISPLAY
+ /usr/bin/make docs
make[1]: Entering directory
`/home/sitapati/Work/svn/publican/trunk/publican/tmp/rpm/BUILD/publican-0.34'
Start entities
End entities
Start Common_Content
	Processing ./Code-Conventions.xml
		Processing ../as-IN/./Code-Conventions.po
		Processing ../bn-IN/./Code-Conventions.po
		Processing ../de-DE/./Code-Conventions.po
		Processing ../es-ES/./Code-Conventions.po
		Processing ../fr-FR/./Code-Conventions.po
		Processing ../gu-IN/./Code-Conventions.po
		Processing ../hi-IN/./Code-Conventions.po
		Processing ../it-IT/./Code-Conventions.po
		Processing ../ja-JP/./Code-Conventions.po
		Processing ../kn-IN/./Code-Conventions.po
		Processing ../ko-KR/./Code-Conventions.po
		Processing ../ml-IN/./Code-Conventions.po
		Processing ../mr-IN/./Code-Conventions.po
		Processing ../or-IN/./Code-Conventions.po
		Processing ../pa-IN/./Code-Conventions.po
		Processing ../pt-BR/./Code-Conventions.po
		Processing ../ru-RU/./Code-Conventions.po
		Processing ../si-LK/./Code-Conventions.po
		Processing ../ta-IN/./Code-Conventions.po
		Processing ../te-IN/./Code-Conventions.po
		Processing ../zh-CN/./Code-Conventions.po
		Processing ../zh-TW/./Code-Conventions.po
	Processing ./Conventions.xml
		Processing ../as-IN/./Conventions.po
		Processing ../bn-IN/./Conventions.po
		Processing ../de-DE/./Conventions.po
		Processing ../es-ES/./Conventions.po
		Processing ../fr-FR/./Conventions.po
		Processing ../gu-IN/./Conventions.po
		Processing ../hi-IN/./Conventions.po
		Processing ../it-IT/./Conventions.po
		Processing ../ja-JP/./Conventions.po
		Processing ../kn-IN/./Conventions.po
		Processing ../ko-KR/./Conventions.po
		Processing ../ml-IN/./Conventions.po
		Processing ../mr-IN/./Conventions.po
		Processing ../or-IN/./Conventions.po
		Processing ../pa-IN/./Conventions.po
		Processing ../pt-BR/./Conventions.po
		Processing ../ru-RU/./Conventions.po
		Processing ../si-LK/./Conventions.po
		Processing ../ta-IN/./Conventions.po
		Processing ../te-IN/./Conventions.po
		Processing ../zh-CN/./Conventions.po
		Processing ../zh-TW/./Conventions.po
	Processing ./Feedback.xml
		Processing ../as-IN/./Feedback.po
		Processing ../bn-IN/./Feedback.po
		Processing ../de-DE/./Feedback.po
		Processing ../es-ES/./Feedback.po
		Processing ../fr-FR/./Feedback.po
		Processing ../gu-IN/./Feedback.po
		Processing ../hi-IN/./Feedback.po
		Processing ../it-IT/./Feedback.po
		Processing ../ja-JP/./Feedback.po
		Processing ../kn-IN/./Feedback.po
		Processing ../ko-KR/./Feedback.po
		Processing ../ml-IN/./Feedback.po
		Processing ../mr-IN/./Feedback.po
		Processing ../or-IN/./Feedback.po
		Processing ../pa-IN/./Feedback.po
		Processing ../pt-BR/./Feedback.po
		Processing ../ru-RU/./Feedback.po
		Processing ../si-LK/./Feedback.po
		Processing ../ta-IN/./Feedback.po
		Processing ../te-IN/./Feedback.po
		Processing ../zh-CN/./Feedback.po
		Processing ../zh-TW/./Feedback.po
	Processing ./Legal_Notice.xml
../as-IN/./Legal_Notice.po MISSING Using en-US file
../bn-IN/./Legal_Notice.po MISSING Using en-US file
../de-DE/./Legal_Notice.po MISSING Using en-US file
../es-ES/./Legal_Notice.po MISSING Using en-US file
../fr-FR/./Legal_Notice.po MISSING Using en-US file
../gu-IN/./Legal_Notice.po MISSING Using en-US file
../hi-IN/./Legal_Notice.po MISSING Using en-US file
../it-IT/./Legal_Notice.po MISSING Using en-US file
../ja-JP/./Legal_Notice.po MISSING Using en-US file
../kn-IN/./Legal_Notice.po MISSING Using en-US file
../ko-KR/./Legal_Notice.po MISSING Using en-US file
../ml-IN/./Legal_Notice.po MISSING Using en-US file
../mr-IN/./Legal_Notice.po MISSING Using en-US file
../or-IN/./Legal_Notice.po MISSING Using en-US file
../pa-IN/./Legal_Notice.po MISSING Using en-US file
../pt-BR/./Legal_Notice.po MISSING Using en-US file
../ru-RU/./Legal_Notice.po MISSING Using en-US file
../si-LK/./Legal_Notice.po MISSING Using en-US file
../ta-IN/./Legal_Notice.po MISSING Using en-US file
../te-IN/./Legal_Notice.po MISSING Using en-US file
../zh-CN/./Legal_Notice.po MISSING Using en-US file
../zh-TW/./Legal_Notice.po MISSING Using en-US file
End Common_Content
Start docs
make[2]: Entering directory
`/home/sitapati/Work/svn/publican/trunk/publican/tmp/rpm/BUILD/publican-0.34/content/docs'
START: xml-en-US Fri Aug  1 16:27:43 EST 2008
	copying common/en-US  Common_Content
cleaning files
	Appendix.xml
	Author_Group.xml

*WARNING: Unknown tag: editor*
This tag may not be displayed correctly, may generate invalid xhtml, or may
breach Section 508 Accessability standards.


*WARNING: Unknown tag: contrib*
This tag may not be displayed correctly, may generate invalid xhtml, or may
breach Section 508 Accessability standards.

	Book_Info.xml
	Branding.xml
	FAQ.xml

*WARNING: Unknown tag: sgmltag*
This tag may not be displayed correctly, may generate invalid xhtml, or may
breach Section 508 Accessability standards.

	Introduction.xml
	Man_Page.xml

*WARNING: Unknown tag: refentry*
This tag may not be displayed correctly, may generate invalid xhtml, or may
breach Section 508 Accessability standards.


*WARNING: Unknown tag: refmeta*
This tag may not be displayed correctly, may generate invalid xhtml, or may
breach Section 508 Accessability standards.


*WARNING: Unknown tag: refentrytitle*
This tag may not be displayed correctly, may generate invalid xhtml, or may
breach Section 508 Accessability standards.


*WARNING: Unknown tag: manvolnum*
This tag may not be displayed correctly, may generate invalid xhtml, or may
breach Section 508 Accessability standards.


*WARNING: Unknown tag: refnamediv*
This tag may not be displayed correctly, may generate invalid xhtml, or may
breach Section 508 Accessability standards.


*WARNING: Unknown tag: refname*
This tag may not be displayed correctly, may generate invalid xhtml, or may
breach Section 508 Accessability standards.


*WARNING: Unknown tag: refpurpose*
This tag may not be displayed correctly, may generate invalid xhtml, or may
breach Section 508 Accessability standards.


*WARNING: Unknown tag: refsynopsisdiv*
This tag may not be displayed correctly, may generate invalid xhtml, or may
breach Section 508 Accessability standards.


*WARNING: Unknown tag: refsect1*
This tag may not be displayed correctly, may generate invalid xhtml, or may
breach Section 508 Accessability standards.

	Preface.xml
	Publican.xml
	Revision_History.xml
	Sets.xml

*WARNING: Unknown tag: sgmltag*
This tag may not be displayed correctly, may generate invalid xhtml, or may
breach Section 508 Accessability standards.

	Using_Publican.xml
Excluding unused image: ./images/author_group.png
END: xml-en-US Fri Aug  1 16:27:44 EST 2008
START: test-en-US Fri Aug  1 16:27:44 EST 2008

*Start: Words Of Interest*
Bugzilla
CSS
CVS
DOCNAME
DTD
DocBook
EAP
Fearn
GFDL
GPL
JBoss
McAllister
OPL
Oakes
PDF
RedHat
SRPM
SVN
Uncomment
Wulf
XHTML
XSL
aAbcCdfFgilLmnopqrRstux
afterwards
colours
docbook
ent
html
ie
issuenum
jboss
oVirt
organisation
ovirt
pdf
po
productname
productnumber
redhat
subdirectory
uncomment
workflows
xml
*End: Words Of Interest*

END: test-en-US Fri Aug  1 16:27:47 EST 2008
START: html-desktop-en-US Fri Aug  1 16:27:47 EST 2008
Running Saxon:
Exception in thread "main" javax.xml.parsers.FactoryConfigurationError: Provider
org.apache.xerces.jaxp.SAXParserFactoryImpl not found
	at javax.xml.parsers.SAXParserFactory.newInstance(Unknown Source)
	at org.apache.xml.resolver.Resolver.setupReaders(Unknown Source)
	at org.apache.xml.resolver.CatalogManager.getPrivateCatalog(Unknown Source)
	at org.apache.xml.resolver.CatalogManager.getCatalog(Unknown Source)
	at org.apache.xml.resolver.tools.CatalogResolver.initializeCatalogs(Unknown Source)
	at org.apache.xml.resolver.tools.CatalogResolver.<init>(Unknown Source)
	at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
	at
sun.reflect.NativeConstructorAccessorImpl.newInstance(NativeConstructorAccessorImpl.java:57)
	at
sun.reflect.DelegatingConstructorAccessorImpl.newInstance(DelegatingConstructorAccessorImpl.java:45)
	at java.lang.reflect.Constructor.newInstance(Constructor.java:532)
	at java.lang.Class.newInstance0(Class.java:372)
	at java.lang.Class.newInstance(Class.java:325)
	at com.icl.saxon.Loader.getInstance(Unknown Source)
	at com.icl.saxon.StyleSheet.makeURIResolver(Unknown Source)
	at com.icl.saxon.StyleSheet.doMain(Unknown Source)
	at com.icl.saxon.StyleSheet.main(Unknown Source)
make[2]: *** [html-desktop-en-US] Error 1
make[2]: Leaving directory
`/home/sitapati/Work/svn/publican/trunk/publican/tmp/rpm/BUILD/publican-0.34/content/docs'
make[1]: *** [docs] Error 2
make[1]: Leaving directory
`/home/sitapati/Work/svn/publican/trunk/publican/tmp/rpm/BUILD/publican-0.34'
error: Bad exit status from /var/tmp/rpm-tmp.8372 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.8372 (%build)
make: *** [rpm] Error 1

Comment 3 Jeff Fearn 2008-08-05 23:43:04 EDT
Added xerces-j2 requires.

xerces-j2 already Requires xml-commons-resolver.